Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Configuration_Section_Key Class Reference

Referenced counted wrapper for . More...

`#include <Configuration.h>`

Collaboration diagram for ACE_Configuration_Section_Key:

[legend]
List of all members.

## Public Methods
| ACE_Configuration_Section_Key (void)
| Default ctor.
ACE_EXPLICIT | ACE_Configuration_Section_Key (ACE_Section_Key_Internal *key)
| ctor based on a pointer to a concrete internal key, does an add_ref on <key>.
| ACE_Configuration_Section_Key (const ACE_Configuration_Section_Key &rhs)
| Copy ctor, does an add_ref on rhs.key_.
| ~ACE_Configuration_Section_Key (void)
| destructor, does a <dec_ref> on <key_>.
ACE_Configuration_Section_Key& | operator= (const ACE_Configuration_Section_Key &rhs)
| assignment operator, does a <dec_ref> on <key_> and to <rhs.key_>.
## Private Attributes
ACE_Section_Key_Internal* | key_
## Friends
class | ACE_Configuration

## Detailed Description

Referenced counted wrapper for .

Reference counted wrapper class for the abstract internal section key. A user gets one of these to represent a section in the configuration database.

## Constructor & Destructor Documentation

ACE_Configuration_Section_Key::ACE_Configuration_Section_Key ( | void )

| Default ctor.

ACE_EXPLICIT ACE_Configuration_Section_Key::ACE_Configuration_Section_Key ( | ACE_Section_Key_Internal * key )

| ctor based on a pointer to a concrete internal key, does an add_ref on <key>.

ACE_Configuration_Section_Key::ACE_Configuration_Section_Key ( | const ACE_Configuration_Section_Key & rhs )

| Copy ctor, does an add_ref on rhs.key_.

ACE_Configuration_Section_Key::~ACE_Configuration_Section_Key ( | void )

| destructor, does a <dec_ref> on <key_>.

## Member Function Documentation

ACE_Configuration_Section_Key & ACE_Configuration_Section_Key::operator= ( | const ACE_Configuration_Section_Key & rhs )

| assignment operator, does a <dec_ref> on <key_> and to <rhs.key_>.

## Friends And Related Function Documentation

class ACE_Configuration`[friend]`

## Member Data Documentation

ACE_Section_Key_Internal * ACE_Configuration_Section_Key::key_`[private]`

The documentation for this class was generated from the following files:

- Configuration.h
- Configuration.cpp